%define name	plasma-applet-smooth-tasks
%define version	 0
%define year	2010
%define month	02
%define day	27
%define svn	%year%month%day
%define release	%mkrel 0.%svn.2
%define Summary	 A smooth taskbar replacement


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://www.kde-look.org/CONTENT/content-files/101586-smooth-tasks-src-wip-%{year}-%{month}-%{day}.tar.bz2
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		http://www.kde-look.org/content/show.php/Smooth+Tasks?content=101586
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdebase4-workspace-devel
Requires:	kdebase4-runtime => 4.3
Provides:	plasma-applet

%description
This taskbar replacement has window peeking similar to Windows 7 when
you use the kwin 'highlight window' effect. Even if this effect is not
used you can click the tooltip in order to activate the corresponding
window.

%files  -f plasma_applet_smooth-tasks.lang
%defattr(-,root,root)
%doc	ChangeLog COPYING  INSTALL  README
%_kde_libdir/kde4/plasma_applet_smooth-tasks.so
%_kde_services/plasma-applet-smooth-tasks.desktop

#------------------------------------------------------------------------------

%prep
%setup -q -n smooth-tasks-src-wip-%year-%month-%day

%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang plasma_applet_smooth-tasks
%clean
%__rm -rf %{buildroot}


%changelog
* Wed Sep 15 2010 John Balcaen <mikala@mandriva.org> 0-0.20100227.2mdv2011.0
+ Revision: 578706
- Rebuild

* Sat Feb 27 2010 John Balcaen <mikala@mandriva.org> 0-0.20100227.1mdv2010.1
+ Revision: 512335
- Update to 2010.02.27

* Sat Feb 13 2010 John Balcaen <mikala@mandriva.org> 0-0.20100213.1mdv2010.1
+ Revision: 505225
- Update to 2010-02-13

* Fri Feb 12 2010 John Balcaen <mikala@mandriva.org> 0-0.20100212.1mdv2010.1
+ Revision: 505154
- Update to 2010-02-12
  Fix BuildRequires

* Tue Jan 12 2010 John Balcaen <mikala@mandriva.org> 0-0.20091126.3mdv2010.1
+ Revision: 490472
- Rebuild for kde4.4 rc1

* Fri Dec 04 2009 John Balcaen <mikala@mandriva.org> 0-0.20091126.2mdv2010.1
+ Revision: 473621
- Rebuild

* Thu Nov 26 2009 John Balcaen <mikala@mandriva.org> 0-0.20091126.1mdv2010.1
+ Revision: 470271
- Update to 2009.11.26

* Sat Nov 21 2009 John Balcaen <mikala@mandriva.org> 0-0.20091120.1mdv2010.1
+ Revision: 468616
- Update to 2009-11-20
- Fix spelling typo in summary

* Sat Nov 14 2009 John Balcaen <mikala@mandriva.org> 0-0.20091111.1mdv2010.1
+ Revision: 465941
- Update to 2009.11.11

* Fri Nov 06 2009 John Balcaen <mikala@mandriva.org> 0-0.20091103.1mdv2010.1
+ Revision: 461188
- Update to 2009-11-03

* Sun Sep 27 2009 John Balcaen <mikala@mandriva.org> 0-0.20090927.1mdv2010.0
+ Revision: 449763
- Update to 2009-29-27

* Sat Sep 26 2009 John Balcaen <mikala@mandriva.org> 0-0.20090926.1mdv2010.0
+ Revision: 449394
- Update to 2009-09-26

* Mon Sep 21 2009 John Balcaen <mikala@mandriva.org> 0-0.20090921.1mdv2010.0
+ Revision: 446264
- Update to 2009-09-21

* Fri Sep 18 2009 John Balcaen <mikala@mandriva.org> 0-0.20090918.1mdv2010.0
+ Revision: 444308
- Update to 2009-09-18

* Tue Sep 15 2009 John Balcaen <mikala@mandriva.org> 0-0.20090915.1mdv2010.0
+ Revision: 442947
- Update to 2009.09.15

* Sun Sep 13 2009 John Balcaen <mikala@mandriva.org> 0-0.20090912.1mdv2010.0
+ Revision: 438599
- Add Provides
- import plasma-applet-smooth-tasks

